# Produce MSDOS executable using SubC
# Build with pdmake -f makefile.scc

world.exe: world.o
  ld86 -N --oformat msdos-mz -o world.exe lib\crt1.o world.o lib\libscc1.a

.c.o:
  pdcc -E -D__SUBC__ -D__MSDOS__ -Dunsigned= -Dlong=int -Dshort=int -Dconst= -Ddouble=int -I ../../pdos/pdpclib -o $*.i $<
  sccdos -S $*.i
  rm $*.i
  as86 -o $@ $*.s
  rm $*.s
